import request from '@/utils/request'

export function getClientPage(data) {
  return request({
    url: '/base-customer-channel/page',
    method: 'get',
    params: data
  })
}

export function getClientList(data) {
  return request({
    url: '/base-customer-channel/list',
    method: 'post',
    data: data
  })
}

export function getClientById(data) {
  return request({
    url: '/base-customer-channel/listById',
    method: 'post',
    data: data
  })
}

export function addClient(data) {
  return request({
    url: '/base-customer-channel/add',
    method: 'post',
    data: data
  })
}

export function editClient(data) {
  return request({
    url: '/base-customer-channel/edit',
    method: 'post',
    data: data
  })
}

export function delClient(data) {
  return request({
    url: '/base-customer-channel/delete',
    method: 'post',
    data: data
  })
}
